/*
 * Copyright 2020 Netsyms Technologies.
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

var SETTINGS = {
    maptileurls: {
        liberty: {
            url: "https://maps.netsyms.net/styles/osm-liberty/{z}/{x}/{y}.png",
            json: "https://maps.netsyms.net/styles/osm-liberty/style.json",
            name: "Liberty",
            bgcolor: "#EFEFEF"
        },
        terrain: {
            url: "https://maps.netsyms.net/styles/klokantech-terrain/{z}/{x}/{y}.png",
            json: "https://maps.netsyms.net/styles/klokantech-terrain/style.json",
            name: "Terrain",
            bgcolor: "#EDF5F3"
        },
        fiord: {
            url: "https://maps.netsyms.net/styles/fiord-color/{z}/{x}/{y}.png",
            json: "https://maps.netsyms.net/styles/fiord-color/style.json",
            name: "Dark Fiord",
            bgcolor: "#45516E"
        },
        oledblack: {
            url: "https://maps.netsyms.net/styles/oled-black/{z}/{x}/{y}.png",
            json: "https://maps.netsyms.net/styles/oled-black/style.json",
            name: "OLED Black",
            bgcolor: "#000000"
        }
    },
    synckeyblacklist: [
        "username", "password",
        "user_latitude", "user_longitude",
        "lastsync", "lastchange"
    ],
    apiserver: "http://localhost/lecteapi/",
    loginurl: "https://auth.lecte.vote/login/"
//    geocodeapi: "https://api.lecte.vote/geocode.php",
//    loginurl: "https://auth.lecte.vote/login/"
}
